import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { BancorV3ContractFactory, StandardRewards } from '../contracts';
export declare class EthereumBancorV3FarmContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<StandardRewards> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: BancorV3ContractFactory;
    chefAddress: string;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: BancorV3ContractFactory);
    getContract(address: string): StandardRewards;
    getPoolLength(contract: StandardRewards): Promise<number>;
    getStakedTokenAddress(contract: StandardRewards, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: StandardRewards, poolIndex: number): Promise<string>;
    getTotalAllocPoints(_params: GetMasterChefDataPropsParams<StandardRewards>): Promise<number>;
    getTotalRewardRate(_params: GetMasterChefDataPropsParams<StandardRewards>): Promise<number>;
    getPoolAllocPoints(_params: GetMasterChefDataPropsParams<StandardRewards>): Promise<number>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<StandardRewards>): Promise<BigNumberish>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<StandardRewards>): Promise<BigNumberish>;
}
